---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List product media

Returns list of a product media

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product Media",
      "description": "Images of a product"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/productMedia": {
      "get": {
        "tags": [
          "Product Media"
        ],
        "operationId": "productMedia.list",
        "summary": "List product media",
        "description": "Returns list of a product media",
        "parameters": [
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "filter",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "key": {
                    "type": "string",
                    "enum": [
                      "id",
                      "product"
                    ]
                  },
                  "op": {
                    "type": "string",
                    "enum": [
                      "equals",
                      "notEquals",
                      "in",
                      "notIn",
                      "exactlyIn",
                      "allIn",
                      "allNotIn",
                      "contains",
                      "notContains",
                      "startsWith",
                      "endsWith",
                      "greaterThan",
                      "lessThan",
                      "is",
                      "lessThanOrEquals",
                      "greaterThanOrEquals"
                    ]
                  },
                  "value": {
                    "oneOf": [
                      {
                        "type": "string",
                        "description": "Used for the operations 'equals', 'notEquals', 'contains', 'notContains', 'startsWith', 'endsWith' and 'is'.",
                        "title": "String"
                      },
                      {
                        "type": "array",
                        "description": "Used for the operations 'in', 'notIn', 'exactlyIn', 'allIn' and 'allNotIn'.",
                        "title": "Array",
                        "items": {
                          "type": "string"
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "product": {
                            "description": "Reference to another resource",
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "1337"
                            }
                          },
                          "title": {
                            "type": "string",
                            "nullable": true,
                            "description": "The title of the media",
                            "example": "Vitra Eames Plastic Chair"
                          },
                          "description": {
                            "description": "The description of the media",
                            "type": "string",
                            "nullable": true,
                            "example": "Front picture of the Vitra Eames Plastic Chair"
                          },
                          "keyword": {
                            "x-description-missing": true,
                            "type": "string",
                            "enum": [
                              "defaultImage",
                              "printImage",
                              "defaultGroupImage",
                              "labelImage",
                              "otherImage",
                              "dataSheet",
                              "certificateAttachment"
                            ],
                            "example": "defaultImage"
                          },
                          "sort": {
                            "x-description-missing": true,
                            "type": "integer",
                            "example": 1
                          },
                          "currentVersion": {
                            "x-description-missing": true,
                            "example": {
                              "id": "17",
                              "version": 3,
                              "url": "/api/productMedia/5/versions/3",
                              "remark": "Initial Version",
                              "filename": "test.png",
                              "size": 12345,
                              "updatedAt": "2024-02-16T14:32:41+02:00"
                            },
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "version": {
                                "x-description-missing": true,
                                "type": "integer",
                                "example": 3
                              },
                              "url": {
                                "x-description-missing": true,
                                "type": "string",
                                "example": "/api/productMedia/5/versions/3"
                              },
                              "remark": {
                                "x-description-missing": true,
                                "type": "string",
                                "nullable": true,
                                "example": "Initial Version"
                              },
                              "filename": {
                                "x-description-missing": true,
                                "type": "string",
                                "example": "test.png"
                              },
                              "size": {
                                "description": "The size of the image in bytes",
                                "type": "integer",
                                "example": 12345
                              },
                              "updatedAt": {
                                "type": "string",
                                "format": "date-time",
                                "example": "2024-02-16T14:32:41+02:00",
                                "description": "The date and time when the version was last updated."
                              }
                            }
                          },
                          "updatedAt": {
                            "type": "string",
                            "format": "date-time",
                            "example": "2024-02-16T14:32:41+02:00",
                            "description": "The date and time when the media was last updated."
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Lists all product media from all products": {
                    "value": {
                      "data": [
                        {
                          "id": "5",
                          "product": {
                            "id": "1"
                          },
                          "title": "",
                          "description": "",
                          "keyword": "defaultImage",
                          "sort": 1,
                          "currentVersion": {
                            "id": "17",
                            "version": 3,
                            "url": "/api/productMedia/5/versions/3",
                            "remark": "Initial Version",
                            "filename": "test.png",
                            "size": 12345,
                            "updatedAt": "2024-02-16T14:32:41+02:00"
                          },
                          "updatedAt": "2024-02-16T14:32:41+02:00"
                        },
                        {
                          "id": "8",
                          "product": {
                            "id": "2"
                          },
                          "title": "",
                          "description": "",
                          "keyword": "defaultGroupImage",
                          "sort": 1,
                          "currentVersion": {
                            "id": "20",
                            "version": 2,
                            "url": "/api/productMedia/8/versions/2",
                            "remark": "Initial Version",
                            "filename": "test.png",
                            "size": 12345,
                            "updatedAt": "2024-02-16T14:32:41+02:00"
                          },
                          "updatedAt": "2024-02-16T14:32:41+02:00"
                        }
                      ],
                      "extra": {
                        "page": {
                          "number": 1,
                          "size": 10
                        },
                        "totalCount": 2
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```